import eslintPluginJs from "@eslint/js";
import eslintPluginPrettierRecommended from "eslint-plugin-prettier/recommended";
import tseslint from "typescript-eslint";
/** @type {import('eslint').Linter.FlatConfig[]} */
export default [
    eslintPluginJs.configs.recommended,
    ...tseslint.configs.recommended,
    ...tseslint.configs.stylistic,
    eslintPluginPrettierRecommended,
    {
        ignores: ["node_modules/", "dist/", "build/", "coverage/", "public/", "**/eslint.config.js"],
        languageOptions: {
            parserOptions: {
                project: ["tsconfig.json", "./client/tsconfig.json"],
                tsconfigRootDir: "./",
            },
        },
    },
];
